
Redmine - Defect #15258

Roadmap Issue Count off

2013-11-04 20:18 - Bruce Svare

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Looking at the roadmap today, I noticed the count off. I see only two open issues, and it lists three. I also clicked on the 

http://www.redmine.org/projects/redmine/issues?fixed_version_id=74&set_filter=1&status_id=o link and it shows only two that way

also.

I'm assuming it's taking into account issues that are considered private and listing them in the count, but not displaying them.

 CountOff.png 

Related issues:

Related to Redmine - Patch #27676: Information leak on roadmap and versions view Closed

Is duplicate of Redmine - Defect #15248: Ticket count in roadmap view wrong Closed

History

#1 - 2013-11-04 20:45 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Bruce Svare wrote:

[...]

I'm assuming it's taking into account issues that are considered private and listing them in the count, but not displaying them.

 Indeed. This duplicates issue #15248; closing as such...

#2 - 2013-11-04 20:45 - Mischa The Evil

- Is duplicate of Defect #15248: Ticket count in roadmap view wrong added

#3 - 2013-11-05 15:26 - Bruce Svare

- Status changed from Closed to Reopened

Since I can't see the private issue, I should not be informed there are issues that are private. I suggest it's a defect in that the count should not display

issues I can not see.

#4 - 2013-11-05 21:25 - Jan Niggemann (redmine.org team member)

- Status changed from Reopened to Closed

I'd argue that the even for anonymous viewers, the total count should be visible, since the goal is to give the viewer an idea of how many issues are to

be solved. The topics / content of the issues may be private and, as such, hidden from viewers, but they should nevertheless know they are there.

Otherwise, if the count would not contain private issues, users would ask "Why isn't version x.y released, all issues in the roadmap are closed?"...

#5 - 2017-11-29 20:56 - Jean-Philippe Lang

- Related to Patch #27676: Information leak on roadmap and versions view added
